Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_EstablishTrustPolicy Class Reference

Implementation of the SecurityLevel2::EstablishTrustPolicy. More...

`#include <EstablishTrustPolicy.h>`

Inheritance diagram for TAO_EstablishTrustPolicy:

[legend]
Collaboration diagram for TAO_EstablishTrustPolicy:

[legend]
List of all members.

## Public Methods
virtual Security::EstablishTrust | trust (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
CORBA::Policy Methods
virtual CORBA::PolicyType | policy_type (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual CORBA::Policy_ptr | copy (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual void | destroy (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
## Protected Methods
| TAO_EstablishTrustPolicy (const Security::EstablishTrust &trust)
| Constructor.
| ~TAO_EstablishTrustPolicy (void)
| Destructor.
## Private Attributes
Security::EstablishTrust | trust_
## Friends
class | TAO_Security_PolicyFactory

## Detailed Description

Implementation of the SecurityLevel2::EstablishTrustPolicy.

This policy can be used to enable or disable establishment of trust in the client or the target or both on a per-object basis. For example, it can be set as a policy override using the standard CORBA::Object::_set_policy_overrides() method.

This policy can be created by using the CORBA::ORB::create_policy() method by passing it the Security::SecEstablishTrustPolicy policy type, and the appropriate Security::EstablishTrust structure (inserted into a CORBA::Any).

## Constructor & Destructor Documentation

TAO_EstablishTrustPolicy::TAO_EstablishTrustPolicy | ( | const Security::EstablishTrust & | trust | ) | `[protected]`

| Constructor.

TAO_EstablishTrustPolicy::~TAO_EstablishTrustPolicy | ( | void |  | ) | `[protected]`

| Destructor. Protected destructor to enforce the fact this class is reference counted, and should not be destroyed using delete() by anything other than the reference counting mechanism.

## Member Function Documentation

CORBA::Policy_ptr TAO_EstablishTrustPolicy::copy | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from CORBA::Policy.

void TAO_EstablishTrustPolicy::destroy | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from CORBA::Policy.

CORBA::PolicyType TAO_EstablishTrustPolicy::policy_type | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from CORBA::Policy.

Security::EstablishTrust TAO_EstablishTrustPolicy::trust | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Return the "establish trust" value associated with this policy.

## Friends And Related Function Documentation

friend class TAO_Security_PolicyFactory`[friend]`

## Member Data Documentation

Security::EstablishTrust TAO_EstablishTrustPolicy::trust_`[private]`

| Quality of protection which can be specified for an object reference and used to protect messages.

The documentation for this class was generated from the following files:

- EstablishTrustPolicy.h
- EstablishTrustPolicy.cpp